const { JsiiProject, Semver } = require('projen');

const project = new JsiiProject({
  name: 'jsii-library-template',
  jsiiVersion: Semver.caret('1.5.0'),
  description: 'Template for jsii libraries',
  repository: 'https://github.com/eladb/jsii-library-template.git',
  authorName: 'Elad Ben-Israel',
  authorEmail: 'benisrae@amazon.com',
  stability: 'experimental',
  java: {
    javaPackage: 'com.github.eladb.jsiilibrarytemplate',
    mavenArtifactId: 'jsii-library-template',
    mavenGroupId: 'com.github.eladb'
  },
  python: {
    distName: 'jsii-library-template',
    module: 'jsii_library_template'
  },
  dotnet: {
    dotNetNamespace: 'Eladb.JsiiLibraryTemplate',
    packageId: 'Elad.JsiiLibraryTemplate'
  }
});

project.synth();
